﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %> 
<%@ Register Tagprefix="WebPartPages" Namespace="Microsoft.SharePoint.WebPartPages" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="WebPartGallery.ascx.cs" Inherits="Mathoms.iSharePoint.WebPartGallery" %>

<link rel="stylesheet" href="/_layouts/Mathoms.iSharePoint/CSS/redmond/jquery-ui-1.8.11.css" type="text/css" media="all" />

<style type="text/css">
	#mis-wpg {
		margin : 0px 0px 0px 0px;
		margin-bottom : 10px;
	}
	#mis-wpg > table, #miswpg > table tbody {
		display: block;
	}
	#mis-wpg > table tr	{
		float:left;
	}
	#mis-wpg > table td {
		display:inline;
	}
	
    .mis-gallery-web-part {
	    display:inline-block;
	    padding:40px 3px 3px 3px;
	    margin: 0px 5px 10px;
	    min-width:70px;
	    max-width:125px;
	    min-height:30px; /* width minus padding */
	    border:1px #cccccc solid;
	    text-align:center;
	    font-size:12px;
	    vertical-align:text-bottom;
	    background-color:#eeeeee;
	    background-position:50% 10%;
	    background-repeat:no-repeat;
    }	
	.mis-wpg-gallery-functions {
		clear: right;
		padding:0px;
		margin:0px 0px 20px 0px;
	}

	.mis-wpg-hr {
		padding:0px;
		margin:20px 0px 10px;
		width:100%;
		height:1px;
		border:none 0;
		border-top:1px dashed #cccccc;
	}

	.mis-wpg-button	{
		padding:2px 0px;
		margin:0px 0px 0px 10px;
		display: inline-block;
	
		border:1px #cccccc solid;
	
		/* Gradient Background */
		/* For WebKit (Safari, Google Chrome etc) 
		background: -webkit-gradient(linear, left top, left bottom, from(#ffa43d), to(#ff7c00)); */
		background: -webkit-gradient(linear, 0% 50%, 0% 51%, from(#fefefe), to(#f2f2f2));
		/* For Mozilla/Gecko (Firefox etc) */
		background: -moz-linear-gradient(top, #fefefe 50%, #f2f2f2 51%);
		/* For Internet Explorer 5.5 - 7 */
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#fefefe, endColorstr=#f2f2f2);
		/* For Internet Explorer 8 */
		-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#fefefe, endColorstr=#f2f2f2)";
	
		/* Rounded Corners */
		-moz-border-radius:5px 5px 5px 5px;
		-webkit-border-radius:5px 5px 5px 5px;
		border-radius:5px;	
	}

	.mis-wpg-button a:link, .mis-wpg-button a:visited, .mis-wpg-button a:hover {
		color:#ff6600;
		font-size:13px;
		font-weight:bold;
		text-decoration:none;
		padding:2px 10px;
	}

	.mis-wpg-button-default {
		border: none /*1px #ff7c00 solid*/;
	
		/* Gradient Background */
		/* For WebKit (Safari, Google Chrome etc) 
		background: -webkit-gradient(linear, left top, left bottom, from(#ffa43d), to(#ff7c00)); */
		background: -webkit-gradient(linear, 0% 50%, 0% 51%, from(#ffa43d), to(#ff7c00));
		/* For Mozilla/Gecko (Firefox etc) */
		background: -moz-linear-gradient(top, #ffa43d 50%, #ff7c00 51%);
		/* For Internet Explorer 5.5 - 7 */
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#ffa43d, endColorstr=#ff7c00);
		/* For Internet Explorer 8 */
		-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#ffa43d, endColorstr=#ff7c00)";
	}
	.mis-wpg-button-default a:link, .mis-wpg-button-default a:visited, .mis-wpg-button-default a:hover {
		color:#ffffff;
	}

	.mis-wpg-button-close {
		float: right;
		margin-right:20px;
	}

	.mis-wpg-wpTile
	{
		z-index: 1100;
	}
</style>

<script language="javascript" type="text/javascript">
    $(function () {
        $("#mis-wpg-personalize-button").click(function () {
            $("#mis-wpg").slideDown();
            $("#mis-wpg-personalize").slideUp();
        });

        $("#mis-wpg-close-button").click(function () {
            $("#mis-wpg").slideUp();
            $("#mis-wpg-personalize").slideDown();
        });
    });
</script>

<div id="mis-wpg-content">
    <div id="mis-wpg-personalize" class="mis-wpg-gallery-functions">
	    <div class="mis-wpg-button mis-wpg-button-default mis-wpg-button-close"><a id="mis-wpg-personalize-button" href="#" title="Add Web Parts">Personalize</a></div>
	    <br style="clear:both" />
    </div>

    <!-- WebPart Gallery begin: -->
    <asp:Repeater ID="Gallery" runat="server" >
	    <HeaderTemplate>
		    <div id="mis-wpg" class="items" style="display:none">
			    <table>
	    </HeaderTemplate>
	    <ItemTemplate>
				    <tr class="mis-wpg-wpTile"><td class="s4-wpcell-plain">
					    <div id="mis-wpg-tile-<%#Container.ItemIndex%>" class="<%# DataBinder.Eval(Container.DataItem, "CssClass") %>" style="background-image: url(<%# DataBinder.Eval( Container.DataItem, "BackgroundImage" ) %>)" wpDef="<%# DataBinder.Eval( Container.DataItem, "wpDef" ) %>"><%# DataBinder.Eval( Container.DataItem, "Text" ) %></div>
				    </td></tr>
	    </ItemTemplate>
	    <FooterTemplate>
			    </table>
			    <br style="clear:both" />
			    <div class="mis-wpg-functions">
				    <hr class="mis-wpg-hr"/>
				    <div class="mis-wpg-button mis-wpg-button-default mis-wpg-button-close"><a id="mis-wpg-close-button" href="#" title="Close">Close</a></div>
				    <br style="clear:both" />
			    </div>
		    </div>
	    </FooterTemplate>
    </asp:Repeater>
    <!-- Personalize Gallery end: -->
</div>